Bug 24798 - smart-rules.tt has erroneous comments
Summary: smart-rules.tt has erroneous comments
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-04 10:39 UTC by paxed
Modified: 2020-04-14 22:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10, 18.11.16


Attachments
Bug 24798: smart-rules.tt has erroneous comments (1.76 KB, patch)
2020-03-04 18:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24798: smart-rules.tt has erroneous comments (1.81 KB, patch)
2020-03-05 10:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 24798: smart-rules.tt has erroneous comments (2.04 KB, patch)
2020-03-06 07:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2020-03-04 10:39:38 UTC
koha-tmpl/intranet-tmpl/prog/en/modules/admin/smart-rules.tt: [#% Default branch %#]
koha-tmpl/intranet-tmpl/prog/en/modules/admin/smart-rules.tt: [#% Branch-specific %#]

but TT comments are [%#

Go to admin/smart-rules.pl and search the page source, you'll find those strings in there.
Comment 1 Owen Leonard 2020-03-04 18:35:58 UTC
Created attachment 100143 [details] [review]
Bug 24798: smart-rules.tt has erroneous comments

This patch corrects a couple of invalid Template Toolkit comments in the
Circulation and Fines rules template.

To test, apply the patch and log into the staff client as an
administrator.

On the Circulation and Fines Rules page "View source" and look for
instances of the text "[#% Default branch %#]" There should be none.
Comment 2 David Nind 2020-03-05 10:59:51 UTC
Created attachment 100177 [details] [review]
Bug 24798: smart-rules.tt has erroneous comments

This patch corrects a couple of invalid Template Toolkit comments in the
Circulation and Fines rules template.

To test, apply the patch and log into the staff client as an
administrator.

On the Circulation and Fines Rules page "View source" and look for
instances of the text "[#% Default branch %#]" There should be none.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Marcel de Rooy 2020-03-06 07:44:04 UTC
Created attachment 100212 [details] [review]
Bug 24798: smart-rules.tt has erroneous comments

This patch corrects a couple of invalid Template Toolkit comments in the
Circulation and Fines rules template.

To test, apply the patch and log into the staff client as an
administrator.

On the Circulation and Fines Rules page "View source" and look for
instances of the text "[#% Default branch %#]" There should be none.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
[EDIT] There is a theoretical difference between [% # and [%#. The latter
marks the whole directive as a comment and not just until EOL.
Comment 4 Martin Renvoize 2020-03-06 10:05:07 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-01 22:25:58 UTC
Backported to 19.11.x for 19.11.05
Comment 6 Lucas Gass 2020-04-09 20:07:43 UTC
backported to 19.05.x for 19.05.10
Comment 7 Hayley Mapley 2020-04-14 22:03:45 UTC
Backported to 18.11.x for 18.11.16